ExifParentTIFFTagSet (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.imageio.plugins.tiff, class: ExifParentTIFFTagSet
Keywords: javax.imageio.plugins.tiff.ExifParentTIFFTagSet class

# Class ExifParentTIFFTagSet

java.lang.Object
javax.imageio.plugins.tiff.TIFFTagSet
javax.imageio.plugins.tiff.ExifParentTIFFTagSet

public final class ExifParentTIFFTagSet extends TIFFTagSet
A class containing the TIFF tags used to reference the Exif and GPS IFDs. This tag set should be added to the root tag set by means of the `TIFFImageReadParam.addAllowedTagSet` method if Exif support is desired.

Since:
  9

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TAG_EXIF_IFD_POINTER`
  Tag pointing to the Exif IFD (type LONG).
  `static final int`
  `TAG_GPS_INFO_IFD_POINTER`
  Tag pointing to a GPS info IFD (type LONG).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExifParentTIFFTagSet`
  `getInstance()`
  Returns a shared instance of an `ExifParentTIFFTagSet`.

  ### Methods declared in class TIFFTagSet

  `getTag, getTag, getTagNames, getTagNumbers`
  Modifier and Type
  Method
  Description
  `TIFFTag`
  `getTag(int tagNumber)`
  Returns the `TIFFTag` from this set that is associated with the given tag number, or `null` if no tag exists for that number.
  `TIFFTag`
  `getTag(String tagName)`
  Returns the `TIFFTag` having the given tag name, or `null` if the named tag does not belong to this tag set.
  `SortedSet<String>`
  `getTagNames()`
  Retrieves an unmodifiable lexicographically increasing set of tag names.
  `SortedSet<Integer>`
  `getTagNumbers()`
  Retrieves an unmodifiable numerically increasing set of tag numbers.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### TAG_EXIF_IFD_POINTER

    public static final int TAG_EXIF_IFD_POINTER
    Tag pointing to the Exif IFD (type LONG).
    See Also:
      - Constant Field Values

  - ### TAG_GPS_INFO_IFD_POINTER

    public static final int TAG_GPS_INFO_IFD_POINTER
    Tag pointing to a GPS info IFD (type LONG).
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getInstance

    public static ExifParentTIFFTagSet getInstance()
    Returns a shared instance of an `ExifParentTIFFTagSet`.
    Returns:
      an `ExifParentTIFFTagSet` instance.